Page MenuHomePhabricator

VisualEditor: Transclusion dialog improvements (tracking)
Closed, ResolvedPublic0 Story Points

Description

[Now tracked as VisualEditor-MediaWiki-Templates instead.]

Fork from bug 49833, which wasn't meant to be used this way.


Version: unspecified
Severity: normal

Details

Reference
bz53604

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:08 AM
bzimport set Reference to bz53604.
Jdforrester-WMF closed this task as Resolved.Nov 24 2014, 3:06 AM
Jdforrester-WMF removed subtasks: T53558: Visual Editor: Make template parameter names editable, T53436: Template search results list should contain each template's descripton, T55201: VisualEditor: Need way to insert templates that set both key and value for a parameter into a template invocation, like {{subst:DATE}}, T56827: VisualEditor: Pressing "enter"/"return" on a selected node should open its dialog, T53229: OOUI: Tab character in dropdown boxes should pick the current selection (like Enter does), T52996: VisualEditor: Double-clicking on a node (image/template/reference/…) should open its dialog, T57925: VisualEditor: When adding a new template, auto-open the "add parameter" section and put the cursor in the search dialog's input when we tab to it, T52747: VisualEditor: Transclusion dialog should recommend TemplateData-hinted mandatory parameters, T52735: VisualEditor: Transclusion dialog informing you that there are "no unused parameters" looks odd; improve message?, T54462: VisualEditor: Dialogs should have a "cancel" button next to "Apply changes", T54449: VisualEditor: Transclusion editor should should give an "are you sure?" message if an unknown template is selected, T54448: Transclusion dialog should not suggest documentation sub pages as templates, T56094: Transclusion dialog: "unknown parameter" is confusing if TemplateData doesnt exist, T52354: VisualEditor: Transclusion dialog should make it easier to add parameters and see other values, T54087: VisualEditor: Transclusion dialog should also display the actual parameter name as well as the display name, T52268: VisualEditor: Let users relabel (or renumber if auto-numbered) parameters in the transclusion dialog, T54029: VisualEditor: Template parameters with "autofill" TemplateData status should be autofilled, T53930: VisualEditor: Template parameters should be in TemplateData recommended order, T55613: Create dedicated input methods for transclusion parameters (using "Param#type" from TemplateData), T55612: VisualEditor: In the transclusion dialog's panel for a parameter, use "Param#deprecated" from TemplateData, T55610: VisualEditor: In the transclusion dialog, cursor keys can let you select parameters in the search results off the > screen and the dialog doesn’t scroll, T55611: VisualEditor: In the transclusion dialog's panel for a parameter, use "Param#required" from TemplateData, T55609: VisualEditor: In the transclusion dialog, use "Root#sets" data to allow addition and/or completion of parameter > sets, T53822: VisualEditor: Transclusion editor template search should additionally find in-string matches, T55590: VisualEditor: Provide some kind of template suggestion in the transclusion editor, T53798: There should be help links in every context - dialog boxes, inspectors, etc., T53774: VisualEditor: TemplateData-provided parameters in list should show description in tooltip, T53755: OOjs UI: Dialogs do not horizontally scroll in narrow windows, T53739: VisualEditor: [Regression] Dialog panels not scrollable, T51904: Support "substituting" templates in transclusion dialog, T51866: VisualEditor: Transclusion editor shows empty "content" sections for newlines, T55469: VisualEditor: Transclusion editor should not allow parameters with unmet dependencies, T53673: VisualEditor: Search of parameters in transclusion editor should be case insensitive, T53672: VisualEditor: Move the remove template/parameter button to somewhere more prominent?, T53670: VisualEditor: Transclusion dialog parameter filter should search on both parameter name and parameter label, T51838: VisualEditor: TemplateSpecModel should expand aliases, T51833: VisualEditor: Quick transclusion dialog UX improvements, T51778: VisualEditor: Template dialog should look up TemplateData for newly-added templates, T51772: VisualEditor: Transclusion dialogs panes should include a link to the template's definition page (for further documentation), even if there is TemplateData to document it.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set Security to None.
Aklapper added a subscriber: Aklapper.

[adding the Tracking-Neverending project to tasks blocking (now deprecated) T4007 as part of T93366]

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 23 2018, 11:09 AM